#ifndef __CE_H__
#define __CE_H__

extern HWND g_hWnd;
extern HWND g_hWndCB;

extern int CommandBarVis;
extern int thread_running;
extern int emulating;
extern int videomode;
extern int scanline;
extern int cartridgeType;


extern int  InitMachine(void);
extern void TrashMachine(void);
extern int  start_gba(void);
extern void LoadOption(void);
extern void SaveOption(void);
extern char * GetModulePath(void);

extern void loadSaveGame(int);
extern void writeSaveGame(int);
extern void systemMessage(int number, char *defaultMsg, ...);

#endif /*__CE_H__*/
